Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class AttributeUpdater

    java.lang.Object
      oracle.ifs.fdk.impl.AttributeUpdater

    public class AttributeUpdater

extends java.lang.Object

Represents an attribute updater for a repository object. It holds the repository object, the repository attribute name to update on the repository object and the value to update the attribute to.

Constructor Summary
`AttributeUpdater(LibraryObject reposObject, java.lang.String reposAttrName, java.lang.Object value)` Constructor.

Method Summary
`java.lang.String` | `getRepositoryAttributeName()` Returns the attribute name to update.
`LibraryObject` | `getRepositoryObject()` Returns the repository object to be updated.
`java.lang.Object` | `getValue()` Returns the value to update the attribute to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeUpdater

    public AttributeUpdater(LibraryObject reposObject,
                            java.lang.String reposAttrName,
                            java.lang.Object value)

  Constructor.

  Parameters:
    `reposObject` - The repository object to update.
    `reposAttrName` - The attribute name in the repository.
    `value` - The value the attribute needs to be updated to.

Method Detail

### getRepositoryObject

    public LibraryObject getRepositoryObject()

  Description copied from class: `AttributeUpdater`
  Returns the repository object to be updated.

### getRepositoryAttributeName

    public java.lang.String getRepositoryAttributeName()

  Description copied from class: `AttributeUpdater`
  Returns the attribute name to update.

### getValue

    public java.lang.Object getValue()

  Description copied from class: `AttributeUpdater`
  Returns the value to update the attribute to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD